/**/
.form-control,
.form-select {
	font-size: 0.875rem;
	font-weight: 300;
	letter-spacing: 0.42px;
	color: #002A67;
	
	border: 1px solid #C4C4C4;
	border-radius: 20px;
}

.form-control {padding: 11px 14px;}
.form-select  {padding:11px 35px 11px 14px;}

.form-control::placeholder {color: #7A7878;}
.form-control:focus, 
.form-select:focus {
	color: #002A67;
	border-color: #002A67;
	box-shadow: none;
}


.form-check-input {border:1px solid #002A67;}
.form-check-input:checked[type=radio] 	 {--bs-form-check-bg-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23002A67'/%3e%3c/svg%3e");}
.form-check-input:checked[type=checkbox] {--bs-form-check-bg-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23002A67' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");}
.form-check-input:checked {background-color:#fff; border-color:#002A67;}
.form-check-input:focus {box-shadow:none; border-color:#002A67;}
.form-check-label {font-size:14px; font-weight:600; color:#002A67;}


/* .form-check.form-check-alt */
.form-check-alt {margin:0; padding-left:28px; padding-top: 4px; padding-bottom: 4px;}
.form-check-alt .form-check-input {margin-left:-28px;}
.form-check-alt .form-check-input {width: 18px; height: 18px; margin-top: 1px; border:2px solid #C9C9C9; border-radius:2px;}
/* .form-check-alt .form-check-input:checked[type=checkbox] {--bs-form-check-bg-image:url("data:image/svg+xml,%3Csvg width='18' height='18' viewBox='0 0 18 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7 13.4L3 9.4L4.4 8L7 10.6L13.6 4L15 5.4L7 13.4Z' fill='white'/%3E%3C/svg%3E");} */
.form-check-alt .form-check-input:checked[type=checkbox] {--bs-form-check-bg-image:url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6 12.4L2 8.4L3.4 7L6 9.6L12.6 3L14 4.4L6 12.4Z' fill='white'/%3E%3C/svg%3E%0A");}
.form-check-alt .form-check-input:checked {background-color:#2A5C8C; border-color:#2A5C8C;}
.form-check-alt .form-check-label {font-size:16px; text-decoration:underline; color:#2A5C8C; cursor: pointer;}



/* .form-check.form-check-button */
.form-check-button {--ua-check-button-bg:var(--bs-primary); margin-bottom:0; padding:0; line-height:1.4;}
.form-check-button .form-check-label {
	padding:9px 10px 10px 38px; min-width:145px;
	border-radius:100px; background:var(--ua-check-button-bg); font-size:15px; color:#fff;
}
.form-check-button .form-check-input {border:0; box-shadow:0 2px 2px rgba(0, 0, 0, 0.25);}




/**/
.form-floating>.form-control, 
.form-floating>.form-control-plaintext, 
.form-floating>.form-select {
	height: 45px;
	min-height: 45px;
	line-height:1.5;
}

.form-floating>label {
	padding: 11px 14px;
	
	font-size: 0.875rem;
	font-weight: 300;
	color: #7A7878;
}
.form-floating>.form-control, 
.form-floating>.form-control-plaintext {
	padding: 11px 14px;
}

.form-floating>.form-control-plaintext:focus, 
.form-floating>.form-control-plaintext:not(:placeholder-shown), 
.form-floating>.form-control:focus, 
.form-floating>.form-control:not(:placeholder-shown) {
	padding-top: 11px;
	padding-bottom: 11px;
}

.form-floating>.form-select {
	padding-top: 11px;
	padding-bottom: 11px;
}

.form-floating>.form-control-plaintext~label, 
.form-floating>.form-control:focus~label, 
.form-floating>.form-control:not(:placeholder-shown)~label, 
.form-floating>.form-select~label {
	color: #002A67;
	font-size: 0.625rem;
	letter-spacing: 0.3px;
	transform: translateY(-20px) translateX(2px);
}
.form-floating>.form-control-plaintext~label::after, 
.form-floating>.form-control:focus~label::after, 
.form-floating>.form-control:not(:placeholder-shown)~label::after, 
.form-floating>.form-select~label::after {
	inset: 11px 9px;
}



/* iconos en inputs */
.input-icon,
.input-icon-left,
.input-icon-right {
	position:absolute; top:0; width:50px; height:45px; cursor:pointer;
	background-size:23px 23px; background-repeat: no-repeat; background-position: center;
}
.input-icon,
.input-icon-right {right:0;}
.input-icon-left  {left:0;}

.input-icon:not(.input-icon-left) ~ .form-control,
.input-icon-right ~ .form-control {padding-right:50px !important;}
.input-icon-left ~ .form-control  {padding-left:45px !important;}


.input-icon.icon-eye	  {background-image:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 22 22'%3E%3Ccircle cx='11.0003' cy='10.9974' r='1.83333' stroke='%23002A67' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M20.1663 11.0026C17.7216 15.2807 14.6663 17.4193 10.9997 17.4193C7.33301 17.4193 4.27776 15.2807 1.83301 11.0026C4.27776 6.72452 7.33301 4.58594 10.9997 4.58594C14.6663 4.58594 17.7216 6.72452 20.1663 11.0026' stroke='%23002A67' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");}
.input-icon.icon-eye-off  {background-image:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 22 22'%3E%3Cpath stroke='%23002A67' stroke-linecap='round' stroke-linejoin='round' d='m2.75 2.75 16.5 16.5M9.702 9.703a1.834 1.834 0 0 0 2.592 2.594'/%3E%3Cpath fill='%23002A67' d='M8.445 4.44a.5.5 0 0 0 .275.961l-.275-.961ZM11 4.586l-.002.5H11v-.5Zm9.166 6.417.434.248a.5.5 0 0 0 0-.496l-.434.248Zm-2.661 2.858a.5.5 0 0 0 .734.678l-.734-.678Zm-1.315 2.46a.5.5 0 1 0-.56-.83l.56.83ZM1.833 11.002l-.434-.248a.5.5 0 0 0 0 .496l.434-.248ZM6.36 6.52a.5.5 0 1 0-.562-.828l.562.828ZM8.72 5.4a8.177 8.177 0 0 1 2.278-.315l.003-1a9.177 9.177 0 0 0-2.556.354l.275.961ZM11 5.086c3.426 0 6.342 1.982 8.732 6.165l.869-.496C18.1 6.382 14.905 4.086 11 4.086v1Zm8.732 5.668c-.698 1.222-1.44 2.256-2.227 3.107l.734.678c.847-.916 1.633-2.014 2.361-3.288l-.868-.496Zm-4.101 4.737c-1.414.954-2.953 1.428-4.631 1.428v1c1.881 0 3.614-.535 5.19-1.599l-.56-.829ZM11 16.92c-3.427 0-6.342-1.981-8.733-6.164l-.868.496c2.499 4.373 5.694 6.668 9.6 6.668v-1Zm-8.733-5.668C3.496 9.1 4.864 7.535 6.36 6.52l-.562-.828c-1.656 1.123-3.118 2.82-4.4 5.062l.87.496Z'/%3E%3C/svg%3E%0A");}
.input-icon.icon-calendar {background-size:19px 19px; background-image:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 19 19'%3E%3Cpath fill='%23002A67' d='M15.042 1.583h-.792V.792a.791.791 0 1 0-1.583 0v.791H6.333V.792a.791.791 0 1 0-1.583 0v.791h-.792A3.963 3.963 0 0 0 0 5.542v9.5A3.963 3.963 0 0 0 3.958 19h11.084A3.963 3.963 0 0 0 19 15.042v-9.5a3.963 3.963 0 0 0-3.958-3.959ZM3.958 3.167h11.084a2.378 2.378 0 0 1 2.375 2.375v.791H1.583v-.791a2.378 2.378 0 0 1 2.375-2.375Zm11.084 14.25H3.958a2.378 2.378 0 0 1-2.375-2.375V7.917h15.834v7.125a2.378 2.378 0 0 1-2.375 2.375Zm0-6.334a.792.792 0 0 1-.792.792h-9.5a.791.791 0 1 1 0-1.583h9.5c.438 0 .792.354.792.791ZM9.5 14.25a.791.791 0 0 1-.792.792H4.75a.791.791 0 1 1 0-1.584h3.958c.438 0 .792.355.792.792Z'/%3E%3C/svg%3E%0A");}




/* Form errors */
.input-validation-error,
.form-control.input-validation-error:focus {
	border-color: var(--bs-form-invalid-border-color);
}
.input-validation-error~label {
	color: var(--bs-form-invalid-color) !important;
}

.field-validation-error {
	display: block; margin-top:4px;
	font-size: 0.625rem; font-weight:300; text-align:left;
	color: var(--bs-form-invalid-color);
	
	padding-left: 25px;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' width='16' height='16' fill='none' stroke='%23CC3658'%3e%3Ccircle stroke='%23CC3658' cx='8' cy='8' r='6' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath stroke='%23CC3658' stroke-linecap='round' stroke-linejoin='round' d='M8 5.336v2.667M8 10.67h.007'/%3E%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: left top;
	background-size: 16px 16px;
}




/**/
.btn {
	--bs-btn-padding-y: 7px;
	--bs-btn-font-size: 1.125rem;
	--bs-btn-font-weight: 600;
	--bs-btn-line-height: normal;
	
	--bs-btn-border-radius: 20px; /*var(--bs-border-radius-pill);*/
	--bs-btn-focus-box-shadow: none;
	--bs-btn-border-width:2px;
	
	min-width:160px
}

.btn .svg-icon {flex-shrink:0; width:20px; height:20px;}

.btn-group-lg>.btn, .btn-lg {
	/* --bs-btn-padding-y: 11px; */
	padding: 9px var(--bs-btn-padding-x) 10px;
}

.btn-group-sm>.btn, .btn-sm {
	--bs-btn-font-size: 0.9375rem;
	padding: 6px var(--bs-btn-padding-x) 7px;
	/* min-width: 160px; */
}

.btn-primary {
	--bs-btn-bg: #005191;
	--bs-btn-border-color: #005191;
	--bs-btn-hover-bg: #005191;
	--bs-btn-hover-border-color: #005191;
	--bs-btn-active-bg: #005191;
	--bs-btn-active-border-color: #005191;
	--bs-btn-disabled-bg: #C4C4C4;
	--bs-btn-disabled-border-color: #C4C4C4;
	--bs-btn-disabled-opacity: 1;
}

/* variante cian */
.btn-alternative-1 {
	--bs-btn-color: #fff;
	--bs-btn-bg: var(--ua-alt-color-1);
	--bs-btn-border-color:  var(--ua-alt-color-1);
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg:  var(--ua-alt-color-1);
	--bs-btn-hover-border-color:  var(--ua-alt-color-1);
	--bs-btn-active-bg:  var(--ua-alt-color-1);
	--bs-btn-active-border-color:  var(--ua-alt-color-1);
	--bs-btn-disabled-bg: #C4C4C4;
	--bs-btn-disabled-border-color: #C4C4C4;
	--bs-btn-disabled-opacity: 1;
	--bs-btn-disabled-color: #fff;
}

/* variante pink */
.btn-alternative-2 {
	--bs-btn-color: #fff;
	--bs-btn-bg: var(--ua-alt-color-2);
	--bs-btn-border-color:  var(--ua-alt-color-2);
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg:  var(--ua-alt-color-2);
	--bs-btn-hover-border-color:  var(--ua-alt-color-2);
	--bs-btn-active-bg:  var(--ua-alt-color-2);
	--bs-btn-active-border-color:  var(--ua-alt-color-2);
	--bs-btn-disabled-bg: #C4C4C4;
	--bs-btn-disabled-border-color: #C4C4C4;
	--bs-btn-disabled-opacity: 1;
	--bs-btn-disabled-color: #fff;
}

.btn-outline-primary {
	--bs-btn-color: #002A67;
	--bs-btn-border-width: 2px;
	--bs-btn-border-color: #002A67;
	--bs-btn-bg:#fff;
	
	--bs-btn-hover-color: #002A67;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #002A67;
	
	--bs-btn-active-color: #002A67;
	--bs-btn-active-bg: #fff;
	--bs-btn-active-border-color: #002A67;
}


.btn-outline-01 {
	--bs-btn-padding-y: 8px;
	--bs-btn-border-width:1px;
	
	--bs-btn-color: #7A7878;
	--bs-btn-border-color: #D9D9D9;

	--bs-btn-hover-color: #7A7878;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #004986;
	
	--bs-btn-active-color: #7A7878;
	--bs-btn-active-bg: #fff;
	--bs-btn-active-border-color: #004986;
	
	font-size: 0.875rem; font-weight: 400; font-style: italic; text-align:left;
}


.btn-outline-02 {
	--bs-btn-color: #E31E5F;
	--bs-btn-border-width: 2px;
	--bs-btn-border-color: #E31E5F;
	--bs-btn-bg:#fff;
	
	--bs-btn-hover-color: #E31E5F;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #E31E5F;
	
	--bs-btn-active-color: #E31E5F;
	--bs-btn-active-bg: #fff;
	--bs-btn-active-border-color: #E31E5F;
	
	--bs-btn-border-radius:100px;
	--bs-btn-font-size: 15px;
	--bs-btn-line-height:1.25;
	--bs-btn-padding-x:20px;
    --bs-btn-padding-y:5px;
	padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x) var(--bs-btn-padding-y) calc(var(--bs-btn-padding-x) + 10px);
	height:35px;
	box-shadow: 0 1.923px 1.923px 0 rgba(0, 0, 0, 0.10);
}



/**/
.btn-icon {display:inline-flex; align-items: center; gap:5px;}
.btn-icon.btn-icon-center {justify-content:center;}



/* custom bootstrap select */
.btn-bsselect {
	--bs-btn-border-width:1px;
	--bs-btn-color: #002A67;
	--bs-btn-bg: #fff;
	--bs-btn-border-color: #C4C4C4;
	--bs-btn-hover-color: #002A67;
	--bs-btn-hover-bg: #fff;
	--bs-btn-hover-border-color: #C4C4C4;
	/* --bs-btn-focus-shadow-rgb: 211,212,213; */
	--bs-btn-active-color: #002A67;
	--bs-btn-active-bg: #fff;
	--bs-btn-active-border-color: #002A67;
	/* --bs-btn-active-shadow: inset 0 3px 5px #00000020; */
	--bs-btn-disabled-color: #C4C4C4;
	--bs-btn-disabled-bg: #fff;
	--bs-btn-disabled-border-color: #C4C4C4;
	
	/* font-size: 0.875rem; */
	font-size: 1rem;
	font-weight: 400;
	letter-spacing: 0.42px;
	padding:10px 14px 9px 14px;
	/* font-style:italic; */
}

.bootstrap-select .dropdown-toggle:focus, .bootstrap-select>select.mobile-device:focus+.dropdown-toggle {outline:none !important;}
.bootstrap-select .dropdown-menu {
	/* --bs-dropdown-padding-x: 0; */
	--bs-dropdown-padding-y: 0rem;
	/* --bs-dropdown-spacer: 0.125rem; */
	--bs-dropdown-font-size: 1rem;
	--bs-dropdown-color: #002447;
	/* --bs-dropdown-bg: var(--bs-body-bg); */
	--bs-dropdown-border-color: rgba(0, 0, 0, 0.10);
	--bs-dropdown-border-radius: 20px;
	/* --bs-dropdown-border-width: var(--bs-border-width); */
	--bs-dropdown-inner-border-radius: calc(var(--bs-border-radius) - var(--bs-border-width));
	/* --bs-dropdown-divider-bg: var(--bs-border-color-translucent); */
	/* --bs-dropdown-divider-margin-y: 0.5rem; */
	/* --bs-dropdown-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.10); */
	
	--bs-dropdown-link-color: #002447;
	--bs-dropdown-link-hover-color: #002447;
	--bs-dropdown-link-hover-bg: #E2F5F5;
	--bs-dropdown-link-active-color: #002447;
	--bs-dropdown-link-active-bg: #E2F5F5;
	/* --bs-dropdown-link-disabled-color: var(--bs-tertiary-color); */
	
	--bs-dropdown-item-padding-x: 12px;
	--bs-dropdown-item-padding-y: 10px;
	/* --bs-dropdown-header-color: #6c757d; */
	/* --bs-dropdown-header-padding-x: 1rem; */
	/* --bs-dropdown-header-padding-y: 0.5rem; */
	
	box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.10);
}
.bootstrap-select .dropdown-menu .dropdown-item {font-weight:500;}
.bootstrap-select .dropdown-toggle::after {
	width: 16px; height: 12px;
	border:none;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: center;
	background-size: 16px 12px;
}
.bootstrap-select>.dropdown-toggle.bs-placeholder, .bootstrap-select>.dropdown-toggle.bs-placeholder:active, .bootstrap-select>.dropdown-toggle.bs-placeholder:focus, .bootstrap-select>.dropdown-toggle.bs-placeholder:hover {
	padding:11px 14px; font-size:14px; color: #7A7878; font-style:italic;
}

.btn-bsselect.disabled {color:#002A67; background-color:#EBEBEB; border-color: #D9D9D9; opacity: 1;}
